<div id="translate-page">
  <h2>
    Translating on frontend - using child component
  </h2>
  <div id="translating">
    <form [formGroup]="translateForm">
      <textarea formControlName="text" rows="40" cols="50"></textarea>
      <div id="actions">
        <div>
          <p>Chose language: </p>
          <select formControlName="language">
            <option *ngFor="let lang of languages" [value]="lang.language">
              {{ lang.name }}
            </option>
          </select>
        </div>
        <button #button type="submit" [disabled]="translateForm.invalid">translate</button>
      </div>
    </form>
    <lib-angular-google-translations [text]="text" [language]="language" id="translated-text"></lib-angular-google-translations>
  </div>
  <div id="links">
    <a routerLink="/translate-backend" routerLinkActive="active">Previous</a>
    <a routerLink="/translate-frontend-service" routerLinkActive="active">Next</a>
  </div>
</div>
